<?php
session_start();


if(!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true || $_SESSION["is_admin"] == true) {
    header("location: login.php");
    exit;

}

function setSelected($selectedOption, $option_value){
    return strtolower($selectedOption) === strtolower($option_value) ? 'selected="selected"' : '';
  }


include "db_connection.php";

if(isset($_POST['category'])) {
    $category = $_POST['category'];

}else{
	$category="ladies";
}

$sql = "SELECT id, name, category, price, description FROM products WHERE category = '$category'";
$result = $conn->query($sql);

	
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Welcome</title>
	<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>

<h1>TripleA Shoe Store</h1>

    <h2>Welcome <?php echo $_SESSION["username"]; ?>!</h1>

<ul>
  <li><a href="view_products.php" >All Products</a></li>
  <li><a href="products_by_category.php" class="active">Search By Category</a></li>
  <li><a href="#">Search By Price Range</a></li>
  <li style="float:right"><a  href="logout.php">Logout</a></li>
</ul>

<div>
<form  action="products_by_category.php" method="post" accept-charset="UTF-8"> 
	<h2 >Search products by product category</h2>
	<label>Product type </label>
	<select name="category">
		<option value="ladies" <?php echo setSelected($category, 'ladies'); ?>>Ladies</option>
		<option value="gents"<?php echo setSelected($category, 'gents'); ?>>Gents</option>
		<option value="kids"<?php echo setSelected($category, 'kids'); ?>>Kids</option>
	</select>
	
	
	<button type="submit">Search</button>
	<br/><br/>
	
	
</form>
</div>

<div>



<?php

if($category!=""){
	if ($result->num_rows > 0) {
		while($row = $result->fetch_assoc()) {
			echo "<div class='card'>";
			$image_path = "images/" . $row["id"] . ".jpg";		
			echo "<img src='" . $image_path . "' alt='Product Image' style='width:200px; height: 150px'>";
			echo "<div class='container'>";
			echo "<h4><b>" . $row["name"] . "</b></h4>";
			echo "<p>Category: " . $row["category"] . "</p>";
			echo "<p>Price: $" . $row["price"] . "</p>";
			echo "<p>Description: " . $row["description"] . "</p>";
			echo "</div>";
			echo "</div>";
    }
} 
}
?>

    
</div>
    
</body>
</html>
