<?php
session_start();

if(!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true || $_SESSION["is_admin"] == false) {
    header("location: login.php");
    exit;
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Welcome</title>
	<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>

<h1>TripleA Shoe Store</h1>

    <h2>Welcome Admin <?php echo $_SESSION["username"]; ?>!</h1>

<ul>
  <li><a href="admin_page.php" class="active">View counts</a></li>
  <li><a href="#">Add Product</a></li>  
  <li style="float:right"><a  href="logout.php">Logout</a></li>
</ul>

<div >

	<?php

	include "db_connection.php";
	
	$sql_products = "SELECT COUNT(*) AS products_count FROM products";
	$result_products = $conn->query($sql_products);
	$products_count = 0;
	if ($result_products->num_rows > 0) {
		$row_products = $result_products->fetch_assoc();
		$products_count = $row_products["products_count"];
	}


	$sql_customers = "SELECT COUNT(*) AS user_count FROM customers";
	$result_customers = $conn->query($sql_customers);
	$customers_count = 0;
	if ($result_customers->num_rows > 0) {
		$row_customers = $result_customers->fetch_assoc();
		$customers_count = $row_customers["user_count"];
	}


	echo "<div class='card margin-100'>";	
    echo "<div class='container '>";
    echo "<h5 class='margin-100'><b>Total Number of Products : " . $products_count . "</b></h5>";
    echo "</div>";
	echo "</div>";
		
	echo "<div class='card margin-100'>";	
    echo "<div class='container'>";
    echo "<h5 class='margin-100'><b>Total Number of Users: " . $customers_count . "</b></h5>";
    echo "</div>";
	echo "</div>";	
		
	?>
	
	
</div>
</body>
</html>
