<?php
session_start();


if(!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true || $_SESSION["is_admin"] == true) {
    header("location: login.php");
    exit;
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Welcome</title>
	<link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>

<h1>TripleA Shoe Store</h1>

    <h2>Welcome <?php echo $_SESSION["username"]; ?>!</h1>

<ul>
  <li><a href="view_products.php" class="active">All Products</a></li>
  <li><a href="products_by_category.php">Search By Category</a></li>
  <li><a href="#">Search By Price Range</a></li>
  <li style="float:right"><a  href="logout.php">Logout</a></li>
</ul>

<div>



<?php


include "db_connection.php";

$sql = "SELECT id, name, category, price, description FROM products";
$result = $conn->query($sql);


if ($result->num_rows > 0) {
    while($row = $result->fetch_assoc()) {
        echo "<div class='card'>";
		$image_path = "images/" . $row["id"] . ".jpg";		
		echo "<img src='" . $image_path . "' alt='Product Image' style='width:200px; height: 150px'>";
        echo "<div class='container'>";
        echo "<h4><b>" . $row["name"] . "</b></h4>";
        echo "<p>Category: " . $row["category"] . "</p>";
        echo "<p>Price: $" . $row["price"] . "</p>";
        echo "<p>Description: " . $row["description"] . "</p>";
        echo "</div>";
        echo "</div>";
    }
} else {
    echo "No products found.";
}

?>

    
</div>
    
</body>
</html>
